Bug 171514 - [PATCH] Make man(1) default to use full screen if using a tty
Summary: [PATCH] Make man(1) default to use full screen if using a tty
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 8.3-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-10 02:00 UTC by Bryan Drewery
Modified: 2018-01-03 05:16 UTC (History)
1 user (show)

See Also:


Attachments
patch-man-default-MANWIDTH-tty.txt (397 bytes, patch)
2012-09-10 02:00 UTC, Bryan Drewery
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Drewery 2012-09-10 02:00:08 UTC
	r222635 added support for MANWIDTH=tty which makes man(1) use the full screen if ran in a TTY. Make this the default, if MANWIDTH is not already set and not set to null.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2012-09-10 02:01:43 UTC
Responsible Changed
From-To: freebsd-bugs->eadler

I'll deal with this one
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2012-09-10 12:42:05 UTC
State Changed
From-To: open->closed

this is a test case
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2012-09-10 12:45:20 UTC
State Changed
From-To: closed->open

oops, wrong PR number
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2012-09-11 03:39:15 UTC
State Changed
From-To: open->analyzed

awaiting approval
Comment 5 Jilles Tjoelker freebsd_committer 2012-09-15 18:59:46 UTC
I am nitpicking, but if you say

> Make this the default, if MANWIDTH is not already set and not set to
> null.

then

>+	case "${MANWIDTH-tty}" in

is not actually doing that. It only gives "tty" when MANWIDTH is not set
(or when it is set to "tty").

If you also want to have "tty" when MANWIDTH is null, then use
"${MANWIDTH:-tty}".

-- 
Jilles Tjoelker
Comment 6 Bryan Drewery 2012-09-15 19:21:30 UTC
On 9/15/2012 12:59 PM, Jilles Tjoelker wrote:
> I am nitpicking, but if you say
> 
>> Make this the default, if MANWIDTH is not already set and not set to
>> null.
> 
> then
> 
>> +	case "${MANWIDTH-tty}" in
> 
> is not actually doing that. It only gives "tty" when MANWIDTH is not set
> (or when it is set to "tty").
> 
> If you also want to have "tty" when MANWIDTH is null, then use
> "${MANWIDTH:-tty}".
> 

I misworded, I meant "set to blank", not "set to null". It's working as
intended. I did not want to have it set to tty if someone does
'MANWIDTH=' in their env.

Bryan
Comment 7 Eitan Adler freebsd_committer freebsd_triage 2012-09-15 20:48:21 UTC
On 15 September 2012 14:00, Jilles Tjoelker <jilles@stack.nl> wrote:
>  I am nitpicking, but if you say
>
>  > Make this the default, if MANWIDTH is not already set and not set to
>  > null.
>
>  then
>
>  >+     case "${MANWIDTH-tty}" in
>
...

There is some discussion now whether we should set a default
environment variable, or change how man(1) functions. I've asked
doceng@ and ru@ to comment. doceng@ redirected me to ru@. :)



-- 
Eitan Adler
Source & Ports committer
X11, Bugbusting teams
Comment 8 Eitan Adler freebsd_committer freebsd_triage 2012-10-30 03:31:44 UTC
State Changed
From-To: analyzed->closed

after some discussion it seems that changing the default isn't the 
correct decision at this time
Comment 9 Eitan Adler freebsd_committer freebsd_triage 2012-10-30 04:01:58 UTC
State Changed
From-To: closed->open

per disussion with submitter, maybe it still should be done
Comment 10 Eitan Adler freebsd_committer freebsd_triage 2013-07-19 19:56:48 UTC
Responsible Changed
From-To: eadler->freebsd-bugs

I don't have time to deal with this bug in the near future
Comment 11 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:53 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped